package org.artifactory.descriptor.security;

import com.google.common.collect.Sets;
import lombok.AccessLevel;
import lombok.NoArgsConstructor;
import org.jfrog.access.common.ServiceType;

import java.util.Set;

/**
 * @author Yuval Reches
 */
@NoArgsConstructor(access = AccessLevel.PRIVATE)
public abstract class ProxyServices {

    /**
     * The valid services to be populated inside a {@link org.artifactory.descriptor.repo.ProxyDescriptor#services}
     */
    public static final Set<String> VALID_PROXY_SERVICES = Sets
            .newHashSet(ServiceType.ARTIFACTORY, ServiceType.XRAY, ServiceType.DISTRIBUTION,
                    ServiceType.MISSION_CONTROL);
}
