package org.artifactory.model;

import lombok.Data;
import org.artifactory.common.ConstantValues;

/**
 * Xray specific configuration for repositories
 *
 * @author Dan Feldman
 */
@Data
public class XrayRepoConfig {

    private boolean enabled = false;

    /**
     * The field will indicate for how long Xray data for artifacts in this repository shall be saved.
     */
    private int dataTtl = ConstantValues.xrayRepoDataTtlDays.getInt();
}
