package org.artifactory.repo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.ToString;
import org.artifactory.descriptor.repo.RepoType;
import org.artifactory.model.BasicRepoConfig;
import org.artifactory.model.SpecialAction;
import org.artifactory.repo.RepoConfigChange.ConfigAction;

@Data
@AllArgsConstructor
@ToString
public class RepoConfigReload {

    private String repoKey;
    private RepoDetailsType repoDetailsType;
    private RepoType repoType;
    private ConfigAction configAction;
    private SpecialAction specialAction = SpecialAction.NONE;
    private long modification;

    public RepoConfigReload(String repoKey, RepoDetailsType repoDetailsType, RepoType repoType,
            ConfigAction configAction, long modification) {
        this.repoKey = repoKey;
        this.repoDetailsType = repoDetailsType;
        this.repoType = repoType;
        this.configAction = configAction;
        this.modification = modification;
    }

    public BasicRepoConfig toBasic() {
        return new BasicRepoConfig(repoKey, modification, repoDetailsType, repoType);
    }
}
